#if !defined(AFX_IMAGESET_H__6736C4D9_379B_11D2_B3D9_000000000000__INCLUDED_)
#define AFX_IMAGESET_H__6736C4D9_379B_11D2_B3D9_000000000000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// PictureSet.h : header file
//

#define IMG_NUMBER		1u
#define IMG_NAME		2u
#define IMG_TYPE		4u
#define IMG_SMALL		8u
#define IMG_LARGE		16u
#define IMG_NOTEFLAG	32u
#define IMG_NOTE		64u

/////////////////////////////////////////////////////////////////////////////
// CPictureSet DAO recordset

class CPictureSet : public CDaoRecordset
{
	bool m_bNumber;	
	bool m_bName;
	bool m_bType;
	bool m_bNote;
	bool m_bNoteFlag;
	bool m_bSmall;
	bool m_bLarge;
public:
	CPictureSet(CDaoDatabase* pDatabase);
	//virtual void Open(int nOpenType = AFX_DAO_USE_DEFAULT_TYPE, LPCTSTR lpszSql = NULL, int nOptions = 0);
	void Open(unsigned int nFields, int nOpenType = AFX_DAO_USE_DEFAULT_TYPE);
	DECLARE_DYNAMIC(CPictureSet)
	

// Field/Param Data
	//{{AFX_FIELD(CPictureSet, CDaoRecordset)
	long	m_lImageNumber;
	CString	m_strName;
	BYTE	m_byType;
	CString	m_strNote;
	CByteArray	m_smallImage;
	CByteArray	m_largeImage;
	BOOL	m_fNoteFlag;
	//}}AFX_FIELD

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPictureSet)
	public:
	virtual CString GetDefaultSQL();		// Default SQL for Recordset
	virtual void DoFieldExchange(CDaoFieldExchange* pFX);  // RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_IMAGESET_H__6736C4D9_379B_11D2_B3D9_000000000000__INCLUDED_)
